Agora RTC Objective-C API Reference Refactor

Data Fields
DirectCdnStreamingMediaOptions Struct Reference

## Data Fields
Optional< bool > | publishCameraTrack
Optional< bool > | publishMicrophoneTrack
Optional< bool > | publishCustomAudioTrack
Optional< bool > | publishCustomVideoTrack
Optional< bool > | publishMediaPlayerAudioTrack
Optional< int > | publishMediaPlayerId
Optional< video_track_id_t > | customVideoTrackId

## Detailed Description

Deprecated:
  v4.6.0.

## Constructor & Destructor Documentation

## ◆ DirectCdnStreamingMediaOptions()

DirectCdnStreamingMediaOptions | ( |  | ) |
| inline

## ◆ ~DirectCdnStreamingMediaOptions()

~DirectCdnStreamingMediaOptions | ( |  | ) |
| inline

## Member Function Documentation

## ◆ SetAll()

void SetAll | ( | const DirectCdnStreamingMediaOptions & | change | ) |
| inline

## ◆ operator==()

bool operator== | ( | const DirectCdnStreamingMediaOptions & | o | ) | const
| inline

## ◆ operator=()

DirectCdnStreamingMediaOptions& operator= | ( | const DirectCdnStreamingMediaOptions & | replace | ) |
| inline

## Field Documentation

## ◆ publishCameraTrack

Optional<bool> publishCameraTrack

Sets whether to publish the video captured by the camera:

- `true`: Publish the video captured by the camera.
- `false`: (Default) Do not publish the video captured by the camera.

## ◆ publishMicrophoneTrack

Optional<bool> publishMicrophoneTrack

Sets whether to publish the audio captured by the microphone:

- `true`: Publish the audio captured by the microphone.
- `false`: (Default) Do not publish the audio captured by the microphone.

## ◆ publishCustomAudioTrack

Optional<bool> publishCustomAudioTrack

Sets whether to publish the captured audio from a custom source:

- `true`: Publish the captured audio from a custom source.
- `false`: (Default) Do not publish the captured audio from the custom source.

## ◆ publishCustomVideoTrack

Optional<bool> publishCustomVideoTrack

Sets whether to publish the captured video from a custom source:

- `true`: Publish the captured video from a custom source.
- `false`: (Default) Do not publish the captured video from the custom source.

## ◆ publishMediaPlayerAudioTrack

Optional<bool> publishMediaPlayerAudioTrack

Determines whether to publish the audio track of media player source.

- true: Publish the audio track of media player source.
- false: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

Optional<int> publishMediaPlayerId

Determines which media player source should be published. You can get the MediaPlayerId after calling getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

Optional<video_track_id_t> customVideoTrackId

The video track ID returned by calling the `createCustomVideoTrack` method. The default value is 0.